import f from "../../../classnames/index.mjs";
import * as l from "react";
var m = /* @__PURE__ */ l.forwardRef(function(a, n) {
  var c = a.prefixCls, r = a.className, d = a.style, e = a.id, t = a.active, i = a.tabKey, s = a.children;
  return /* @__PURE__ */ l.createElement("div", {
    id: e && "".concat(e, "-panel-").concat(i),
    role: "tabpanel",
    tabIndex: t ? 0 : -1,
    "aria-labelledby": e && "".concat(e, "-tab-").concat(i),
    "aria-hidden": !t,
    style: d,
    className: f(c, t && "".concat(c, "-active"), r),
    ref: n
  }, s);
});
process.env.NODE_ENV !== "production" && (m.displayName = "TabPane");
export {
  m as default
};
